; *****************************************************************************
; *** Soubor:	PlcRevInfo.ash												***
; ***																		***
; *** V souboru jsou definovna makra s informacemi o PLC a jeho revizi.	***
; *** Tento soubor se pouv pi pekladu softwaru kazety, pi pekladu	***
; *** PLC se nahrad stejnojmennm souborem, kter ji obsahuje informace	***
; *** o skutenm PLC (nhrada nen povinn, ale bez n nebudou do PLC		***
; *** pidny dn doplujc informace). Zkladn monosti pro nahrazen	***
; *** tohoto souboru pi pekladu PLC:										***
; *** 1. Nhrada se neprovede												***
; ***	Do PLC nebudou vloeny dodaten informace. Nemlo by nastat, nebo	***
; ***	v takovm ppad nen mon zjistit ani autora i nzev PLC.		***
; *** 2. Nhrada se provede souborem, kter je soust projektu PLC		***
; ***	Soust projektu mus bt stejnojmenn soubor, kter se pi 		***
; ***	pekladu zkopruje do adrese Temp. Soubor me obsahovat 			***
; ***	nkter dodaten informace o PLC (autor, nzev, ...), ale 			***
; ***	neme obsahovat informace o revizi. Nhradu je mon provst		***
; ***	pkazem koprovn v dvce MakeRevInfo.bat. Tato dvka mus bt	***
; ***	ptomna v adresi projektu a pokud je nalezena, spust se 		***
; ***	v prbhu pekladu.													***
; *** 3. Nhrada se provede souborem, kter se vygeneruje pi pekladu		***
; ***	Soust projektu je v tomto ppad obvykle ablona, na zklad	***
; ***	kter se soubor vygeneruje. Pouv se v ppad, e se pro projekt	***
; ***	PLC pouv verzovn. Pokud se pro verzovn pouv Subversion,	***
; ***	pak je obvykle soust projektu soubor PlcRevInfoSrc.ash, kter	***
; ***	obsahuje klov slova, kter se pi sputn dvky MakeRevInfo.bat ***
; ***	nahrad pomoc utility SubWCRev (soust Tortoise SVN) aktulnmi	***
; ***	informacemi o revizi PLC (informace se zskv ze vech verzovanch ***
; ***	soubor). Vsledkem mus bt soubor PlcRevInfo.ash v adresi Temp.	***
; ***																		***
; *** Soubor se vyskytuje v tchto umstnch:								***
; ***	......\Kazeta\asm\PlcRevInfo.ash									***
; ***		- Tento soubor se pouv pi pekladu "kazety", jsou v nm		***
; ***		  tedy informace o "przdnm" PLC kter se pouije pokud na 	***
; ***		  systmu nen nahrno dn PLC.								***
; ***	......\Kazeta\asm\PlcRevInfoDefault.ash								***
; ***		- Tento soubor se distribuuje spolu s pekladaem Technol, 		***
; ***		  jeho je soust. Pi vytven Technolu (projekt 			***
; ***		  TechnolSetup) se pejmenuje na PlcRevInfo.asm.				***
; ***	......\PLCnnnn\System\PlcRevInfo.ash								***
; ***		- Soubor distribuovan s pekladaem Technol (viz ve).		***
; ***		  Pouije se pi pekladu PLC v ppad, e projekt WinTechnolu	***
; ***		  neposkytuje informace o PLC (tj. nevlo pi voln dvky		***
; ***		  MakeRevInfo.bat stejnojmenn soubor do adrese Temp).		***
; ***	......\WTProjectDir\......\Temp\PlcRevInfo.ash						***
; ***		- Tento soubor, pokud existuje, se pouije pednostn pi		***
; ***		  pekladu PLC. Soubor mus umstit dvka MakeRevInfo.bat		***
; ***		  (kter se vol v prbhu pekladu PLC do podadrese Temp		***
; ***		  projektu.														***
; ***																		***
; *** (C) MEFI s.r.o.														***
; *****************************************************************************


	; Nzev PLC
PLC_NAME EQU		<'Sample WinCNc PLC rev. $WCREV$'>
	; Zklad pro nzev souboru instaltoru PLC
PLC_SETUPFILE EQU	<'Sample PLC'>
	; Koment k PLC
PLC_COMMENT EQU		<'Prklad PLC pro WinCNC'>
	; Vydavatel PLC
PLC_PUBLISHER EQU	<'MEFI, s.r.o.'>
	; Webov strnky vydavatele PLC
PLC_WEB EQU		<'www.mefi.cz'>
	; Telefon na vydavatele PLC
PLC_PHONE EQU		<'+420 251 045 113'>


	; slo nejvy komitovan revize v pracovn kopii
PLC_REV EQU	$WCREV$
	; etzec s slem nejvy komitovan revize v pracovn kopii
PLC_REVSTR EQU <'$WCREV$'>
	; Obsahuje pracovn kopie zmny oproti posledn komitovan revizi? Ano: 1, ne: 0.
PLC_REVMODIFIED EQU $WCMODS?1:0$
	; etzec s datem a asem poslednho komitu ve tvaru yyyy-mm-dd hh:mm:ss
PLC_REVDATESTR EQU <'$WCDATE$'>
	; etzec obsahujc rozsah reviz, na kter byly aktualizovny soubory 
	; v pracovn kopii ve tvaru Min:Max. Pokud je pracovn kopie konzistentn 
	; (vechny soubory jsou aktualizovny na stajnou revizi), obsahuje pouze jedno slo.
PLC_REVRANGESTR EQU <'$WCRANGE$'>
	; 1, pokud soubory v pracovn kopii nejsou aktualizovny na stejnou revizi, jinak 0.
PLC_REVMIXED EQU $WCMIXED?1:0$
	; URL repository, ze kter byla pracovn kopie zskna.
PLC_URLSTR EQU <'$WCURL$'>
